<?php


namespace App\Http\Controllers\Transactions;

use Illuminate\Http\Request;
use App\Classes\Modules\Transactions\ControllersLogic\GenerateCreditNotePdfLogic;
use App\Classes\Modules\Transactions\ControllersLogic\GenerateCreditNotePdfV2Logic;

class GenerateCreditNotePdfController
{
    public function download(Request $request, GenerateCreditNotePdfLogic $logic) {
        return $logic->execute($request);
    }

    public function downloadV2(Request $request, GenerateCreditNotePdfV2Logic $logic) {
        return $logic->execute($request);
    }
}
